Bug 457892 - RTL8101E performance problem
Summary: RTL8101E performance problem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Ivan Vecera
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-05 09:16 UTC by Anton Arapov
Modified: 2014-06-18 08:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 20:12:56 UTC
Target Upstream Version:


Attachments (Terms of Use)
lspci output: RTL8101E cut (1.79 KB, text/plain)
2008-08-05 09:20 UTC, Anton Arapov
no flags Details
dmesg output (26.02 KB, text/plain)
2008-08-05 09:26 UTC, Anton Arapov
no flags Details
Final patch sent to review (95.88 KB, patch)
2008-08-21 15:32 UTC, Ivan Vecera
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 0 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Description Anton Arapov 2008-08-05 09:16:59 UTC
Description of problem:
  RTL8101E performance is unacceptable.

How reproducible:
  was tested on kernel-2.6.18-101.el5
  
Actual results:
  did not measure the actual speed, but it _is_ _much_ _slower_ than the PCI 100mbit Ethernet card.

Expected results:
  want to have it working as it should be at 1gbit. :)

Comment 1 Anton Arapov 2008-08-05 09:20:17 UTC
Created attachment 313434 [details]
lspci output: RTL8101E cut

Comment 2 Anton Arapov 2008-08-05 09:26:02 UTC
Created attachment 313437 [details]
dmesg output

Comment 3 Ivan Vecera 2008-08-05 10:10:21 UTC
Anton, this is not possible to get 1Gb because 810x class hardware is only fast ethernet :-).
Anyway you can try my latest RHEL-5 kernels with patches for r8169 and send me please here a report.
There are at: http://people.redhat.com/ivecera/rhel-5-r8169/


Ivan

Comment 4 Anton Arapov 2008-08-05 10:15:52 UTC
(In reply to comment #3)
ok, my bad ... :) 
will try the kernels tomorrow.

Comment 5 Anton Arapov 2008-08-06 11:10:48 UTC
Ethernet works perfectly in the kernel from http://people.redhat.com/ivecera/rhel-5-r8169/.
Thanks!

Comment 6 Ivan Vecera 2008-08-21 15:32:10 UTC
Created attachment 314710 [details]
Final patch sent to review

Comment 7 RHEL Program Management 2008-09-11 02:21:38 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 8 Don Zickus 2008-09-15 14:18:22 UTC
in kernel-2.6.18-115.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 12 errata-xmlrpc 2009-01-20 20:12:56 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.